Bug Hunting Session
Bug 120047 - Need harpoon symbol to express vectors in math
Summary: Need harpoon symbol to express vectors in math
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Takeshi Abe
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6....
Keywords:
Depends on:
Blocks: Formula-Editor
  Show dependency treegraph
 
Reported: 2018-09-22 06:48 UTC by Franklin Weng
Modified: 2019-07-14 22:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The "Harpoon" symbol (3.97 KB, image/png)
2018-09-22 06:48 UTC, Franklin Weng
Details
TrueType font generated from modified OpenSymbol.sfd (202.68 KB, application/x-font-ttf)
2019-06-02 06:09 UTC, Takeshi Abe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franklin Weng 2018-09-22 06:48:39 UTC
Created attachment 145099 [details]
The "Harpoon" symbol

Currently in Math it uses vec (F) or widevec {F} to express a vector.

However, in high school in Taiwan (not sure about other countries), we used "harpoon" (as attachment) upon one or more nodes to show a vector, and the "overrightarrow" (current vector symbol in math) is used to show a ray (an infinite line starting from a fixed point F toward a certain direction).

It seems that currently only LaTeX supports the "harpoon" symbol.

Can we add "harpoon" symbol into LibreOffice Math and formula editors for teachers to use on teachings and textbooks?
Comment 1 Regina Henschel 2018-09-22 12:15:31 UTC
A valid request.

I prefer personally a more generic solution, which allows the MathML attributes "accent" and "stretchy" to arbitrary characters.
Comment 2 Roman Kuznetsov 2019-05-27 05:16:06 UTC
https://gerrit.libreoffice.org/#/c/72987/
Comment 3 Takeshi Abe 2019-06-02 06:09:18 UTC
Created attachment 151840 [details]
TrueType font generated from modified OpenSymbol.sfd

Attached opens___.ttf generated from OpenSymbo.sfd modified in the proposed patch, using FontForge @ 20170731 distributed by MacPorts <https://www.macports.org/ports.php?by=name&substr=fontforge>.
Comment 4 Commit Notification 2019-06-13 03:12:49 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/93eeaf0ad902214fb6b4205606b24046a458ee45%5E%21

tdf#120047 Support attribute harpoon/wideharpoon in Math

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-06-18 12:08:06 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/528a1e8b1a2b26cf75e714145aea897079c02409%5E%21

tdf#120047 Support attribute harpoon/wideharpoon in Math

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-07-14 16:26:36 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/231fb0441981de788716c7574f03a9cef9c0e268%5E%21

tdf#120047 use new opens___.ttf version 102.11

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-07-14 22:25:02 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/a490420e62fcadb45fee9864b111e11f1414c4a9%5E%21

tdf#120047 use new opens___.ttf version 102.11

It will be available in 6.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.